# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mm1-common"
version = "0.7.9"
build = false
exclude = ["**/*.snap"]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "M/M/1! Queueing, do you speak it?!"
readme = false
license = "MIT"
repository = "https://github.com/agner-rs/mm1"

[features]
default = []
futures = ["tokio/time"]
logging = ["tracing"]

[lib]
name = "mm1_common"
path = "src/lib.rs"

[dependencies.eyre]
version = "^0.6"

[dependencies.mm1-proto]
version = "=0.7.9"

[dependencies.pin-project]
version = "^1.1.10"

[dependencies.serde]
version = "^1.0"
features = [
    "derive",
    "rc",
]

[dependencies.thiserror]
version = "^2.0"

[dependencies.tokio]
version = "^1.48.0"
optional = true

[dependencies.tracing]
version = "^0.1"
optional = true
